-- Copyright (c) 2025 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local lu = require 'luaunit'
local pwr_cycle = require 'pwr_cycle'

TestPwrCycle = {}

function TestPwrCycle:test_meet_cycle_condition()
    pwr_cycle.get_PwrCycleType = function ()
        return 0
    end
    pwr_cycle.fructrl = {
        get_FruPowerState = function ()
            return 'ON'
        end
    }
    local ret = pwr_cycle:meet_cycle_condition(false, 0)
    lu.assertEquals(ret, true)
end